/*
	       Manual Page Editor Core: Operations
 */

#ifndef MANEDITOP_H
#define MANEDITOP_H

#include <gtk/gtk.h>
#include "manedit.h"
#include "aboutdialog.h"


extern about_dialog_struct *MEditAboutDialogNew(medit_core_struct *core_ptr);
extern GtkWidget *MEditCreateHelpMenu(
	medit_core_struct *core_ptr, GtkAccelGroup *accel_group
);
extern gchar *MEditCreateTempDir(medit_core_struct *core_ptr);
extern gint MEditExecuteFmtBlock(
	medit_core_struct *core_ptr,
	const gchar *cmd,
	const gchar *filename,
	const gchar *options,
	const gchar *stdout_path,
	const gchar *stderr_path
);
extern gint MEditDialogFromFile(
	medit_core_struct *core_ptr,
	const gchar *path
);
extern gint MEditDoEmergencySave(medit_core_struct *core_ptr);
extern gint MEditDoCrashRecovery(medit_core_struct *core_ptr);


#endif	/* MANEDITOP_H */
